package com.kcim.service;

/**
 * @program: CostAccount
 * @description:
 * @author: Wang.YS
 * @create: 2024-01-15 20:35
 **/
public interface ProjectCostService {
    Object getItemCostList(Integer current, Integer pageSize, String computeDate, String itemType, String responsibility, String itemFilter);

    void computeItemCost(String computeDate);

    void computePatientItemCost(String computeDate);

    Object getPatientItemCostList(Integer current, Integer pageSize, String computeDate, String departmentFilter, String patientFilter);

    Object getStandItemCostList(Integer current, Integer pageSize, String computeDate, String itemType, String responsibility, String itemFilter);

    void computeStandItemCost(String computeDate);

    Object getPatientStandItemCostList(Integer current, Integer pageSize, String computeDate, String departmentFilter, String patientFilter);

    void computeStandPatientItemCost(String computeDate);
}
